# Listings in your free trial

{% hint style="success" %}

#### Prerequisites

* Access to a free trial tenant[^1] (email with credentials)
* Read our [Free trial information](/documentation/using-our-free-trial/free-trial-information.md), [Setting up Postman for your free trial](/documentation/using-our-free-trial/free-trial-information/setting-up-postman-for-your-free-trial.md), and [Facilities in your free trial](/documentation/using-our-free-trial/free-trial-information/facilities-in-your-free-trial.md) articles
* Access to Postman (you can use an HTTP tool of your choice, but for this article, we'll focus on working with Postman)
  {% endhint %}

## What are listings?

Listings represent the articles offered at a specific facility. Listings are managed per facility, ensuring that only available articles are listed. Although optional, they are essential for certain functionalities, such as dynamic order routing.

{% hint style="info" %}
A listing can be seen as a product, an item, an article, and so on.
{% endhint %}

## Why does it matter for my free trial?

For this tutorial, we're assuming we're a shop with products to sell and a consumer[^2] wants to order those products. For that, we need to attach those products (listings) to our shop (facility).

Let's add a listing to the facility we created.

## Create a listing

{% stepper %}
{% step %}
**Copy the facility ID**

In Postman, copy the `id` that was created from our [Facilities in your free trial](/documentation/using-our-free-trial/free-trial-information/facilities-in-your-free-trial.md) article.
{% endstep %}

{% step %}
**Open the create facility endpoint**

Find the `PUT Update Listings For Facility` endpoint (under Facilities, then Facility Listings) and click to open. You'll see the body is prefilled with some data for multiple listings. For example:

```json
{
    "listings": [
        {
            "tenantArticleId": "SNEAK-W-4891", // unique ID you provide for your listing 
            "price": 119.00, // price of article per measurementUnitKey
            "title": "White Sneakers", // name of article that will be displayed in Backoffice and apps
            "imageUrl": "https://img.example.com/img/sneakw4891.jpg", // image of the article that will be displayed in Backoffice and apps
            "scannableCodes": ["738502847562", "SNEAK-W-4891"], // unique ID codes for picking and packing purposes, could be an EAN or barcode
            "measurementUnitKey": "UNIT" // how the article can be counted
        }
    ]
}
```

{% hint style="info" %}
We're only using the required fields in this example, and not all the available option. See our listings article for more details and the API specification.
{% endhint %}
{% endstep %}

{% step %}
**Paste the facility ID**

In the request, click `facilityId` and paste your copied ID into the Params.
{% endstep %}

{% step %}
**Edit data**

You can edit the Body in any way you wish, or leave it as it is.
{% endstep %}

{% step %}
**Send the request**

Click **Send**.

{% hint style="info" %}
Ensure you've refreshed your `authToken` if it's been more than 60 minutes since your last refresh.
{% endhint %}

You should get a `200 OK` response. You'll notice some extra fields that are part of the response and have been automatically created.
{% endstep %}
{% endstepper %}

The listing will also be visible in Backoffice for other team members to use, but we'll go through that later in this section.

In the next article, we'll take you through configuring stocks. What they are, how to set them up, and how to edit them.

[^1]: An instance of fulfillmenttools for each customer. Each tenant works in different environments. For example, there'll be a tenant for pre-production, and one for production.

[^2]: The end user is making the purchase, whether online or offline.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/using-our-free-trial/free-trial-information/listings-in-your-free-trial.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
